<?php
/*
+---------------------------------------------------------------+
|        Map Me V1.2 for e107 v0.7+
|
|        A plugin for the e107 website system
|        http://www.e107.org/
|
|        Ajay Bhargav
|        http://www.rickeyworld.info
|        contact@rickeyworld.info
|
|        Released under the terms and conditions of the
|        GNU General Public License (http://gnu.org).
+---------------------------------------------------------------+
*/
// if e107 is not running we won't run this plugin program
if (!defined('e107_INIT')) { exit; }

// determine the plugin directory as a global variable
global $PLUGINS_DIRECTORY;

// Get language file (assume that the English language file is always present)
$lan_file = e_PLUGIN."mapme/languages/".e_LANGUAGE.".php";
include_lan($lan_file);

// Plugin info -------------------------------------------------------------------------------------------------------
$eplug_name = "Map Me!";
$eplug_version = "1.3";
$eplug_author = "Ajay Bhargav";
$eplug_url = MAPME_URL;
$eplug_email = "contact@rickeyworld.info";
$eplug_description = MAPME_DESC;
$eplug_compatible = "e107v7+";
$eplug_compliant = FALSE;
$eplug_readme = "";

// Name of the plugin's folder -------------------------------------------------------------------------------------
$eplug_folder = "mapme";

// Name of menu item for plugin ----------------------------------------------------------------------------------
// $eplug_menu_name = "";

// Name of the admin configuration file --------------------------------------------------------------------------
$eplug_conffile = "admin_config.php";

// Icon image and caption text ------------------------------------------------------------------------------------
$eplug_icon = $eplug_folder."/images/icon_32.png";
$eplug_icon_small = $eplug_folder."/images/icon_16.png";

$eplug_caption =  MAPME_CAPTION;

// List of preferences -----------------------------------------------------------------------------------------------
$eplug_prefs = array(
	"mapme_key"   => MAPME_KEY_DESC,
	"mapme_width"       => "100",
	"mapme_height"       => "400",
	"def_lat"       => "0",
	"def_lng"       => "0",
	"def_zoom"       => "2",
	"mapme_grid"       => "60",
	"mapme_gzoom"       => "11",
	"mapme_chunksize"       => "1000"
);

// List of table names -----------------------------------------------------------------------------------------------
$eplug_table_names = array("gmarkers");

// List of sql requests to create tables -----------------------------------------------------------------------------
$timestamp = time();

$eplug_tables = array("
CREATE TABLE ".MPREFIX."gmarkers (
 id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
 user_id varchar( 20 ) NOT NULL default '',
 loc varchar ( 50 ) NOT NULL default '',
 lat float( 10, 6 ) NOT NULL ,
 lng float( 10, 6 ) NOT NULL
) ENGINE = MYISAM ;");

// Create a link in main menu (yes=TRUE, no=FALSE)
$eplug_link = TRUE;
$eplug_link_name = "Members Map";
$eplug_link_url = e_PLUGIN_ABS."mapme/map.php";

// Text to display after plugin successfully installed --------------------------------------------
$eplug_done = MAPME_DONE1." ".$eplug_name." v".$eplug_version." ".MAPME_DONE2;


// upgrading ... //

$upgrade_add_prefs = array (
   "mapme_width"       => "100",
   "mapme_height"       => "400",
   "def_lat"       => "0",
   "def_lng"       => "0",
   "def_zoom"       => "2",
   "mapme_grid"       => "60",
   "mapme_gzoom"       => "11",
   "mapme_chunksize"       => "1000"
);

$upgrade_remove_prefs = "";

$eplug_upgrade_done = MAPME_UPGRADE." ".$eplug_name." v".$eplug_version.".";
?>